Package ru.bgcrm.plugin.bgbilling.proto.model.tariff

# Class ContractPersonalTariff

java.lang.Object
org.bgerp.model.base.Id
ru.bgcrm.plugin.bgbilling.proto.model.tariff.ContractPersonalTariff

All Implemented Interfaces:
  `Serializable`, `Id<Integer>`, `PeriodSet`

public class ContractPersonalTariff extends Id implements PeriodSet

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractPersonalTariff()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConfig()`
  `int`
  `getContractId()`
  `Date`
  `getDate1()`
  `Date`
  `getDate2()`
  `int`
  `getPos()`
  `String`
  `getTitle()`
  `String`
  `getTitleWeb()`
  `Integer`
  `getTreeId()`
  `boolean`
  `isUseTitleInWeb()`
  `void`
  `setConfig(String config)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setDate1(Date date1)`
  `void`
  `setDate2(Date date2)`
  `void`
  `setDateFrom(Date dateFrom)`
  `void`
  `setDateTo(Date dateTo)`
  `void`
  `setPos(int pos)`
  `void`
  `setTitle(String title)`
  `void`
  `setTitleWeb(String titleWeb)`
  `void`
  `setTreeId(Integer treeId)`
  `void`
  `setUseTitleInWeb(boolean useTitleInWeb)`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractPersonalTariff

    public ContractPersonalTariff()

- ## Method Details

  - ### getTitleWeb

    public String getTitleWeb()

  - ### setTitleWeb

    public void setTitleWeb(String titleWeb)

  - ### getConfig

    public String getConfig()

  - ### setConfig

    public void setConfig(String config)

  - ### isUseTitleInWeb

    public boolean isUseTitleInWeb()

  - ### setUseTitleInWeb

    public void setUseTitleInWeb(boolean useTitleInWeb)

  - ### getPos

    public int getPos()

  - ### setPos

    public void setPos(int pos)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getTreeId

    public Integer getTreeId()

  - ### setTreeId

    public void setTreeId(Integer treeId)

  - ### getDate1

    public Date getDate1()

  - ### setDate1

    public void setDate1(Date date1)

  - ### getDate2

    public Date getDate2()

  - ### setDate2

    public void setDate2(Date date2)

  - ### setDateFrom

    public void setDateFrom(Date dateFrom)
    Specified by:
      `setDateFrom` in interface `PeriodSet`

  - ### setDateTo

    public void setDateTo(Date dateTo)
    Specified by:
      `setDateTo` in interface `PeriodSet`

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)